package com.bocloud.cmp.provider.azure.db.administrator;

import com.bocloud.cmp.model.azure.db.AzureDatabaseServerModel;
import com.bocloud.cmp.model.azure.db.DbAdministratorModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DbAdministrator
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/2/2 10:03
 */
public interface DbAdministratorProvider extends SuperProvider {

    default BocloudResult list(AzureDatabaseServerModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(DbAdministratorModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(DbAdministratorModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(DbAdministratorModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(DbAdministratorModel model) {
        return new BocloudResult(false, "need implement");
    }


}